import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/noticeType/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/noticeType/add',
method: 'post',
data: obj,
    params:{
        judParams:'code;typeName'
    }
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/noticeType/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/noticeType/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/noticeType/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'typeName'
    }
})
}
