import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/unit/pages',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/unit/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/unit/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/unit/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/unit/update/' + id,
method: 'post',
data: obj
})
}

export function getNames(obj) {
    return fetch({
        url: '/dcloud-base/unit/getNames?name=' + obj,
        method: 'get'
    })
}
