import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/emissionType/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/emissionType/add',
method: 'post',
data: obj,
    params:{
        judParams:'name'
    }
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/emissionType/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/emissionType/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/emissionType/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'name'
    }
})
}
