import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/industry/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/industry/add',
method: 'post',
data: obj,
    params:{
        judParams:'code;indName'
    }
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/industry/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/industry/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/industry/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'indName'
    }
})
}
