import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/instrument/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/instrument/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/instrument/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/instrument/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/device/instrument/update/' + id,
method: 'post',
data: obj
})
}

export  function  getDeviceInst() {
    return fetch({
        url: '/dcloud-base/device/deviceInst/parsData',
        method: 'get',
        params: {
            pars:'id,name'
        }
    })
}
