import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/stateIndex/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/stateIndex/addStateIndex',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/stateIndex/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/stateIndex/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/device/stateIndex/update/' + id,
method: 'post',
data: obj,
    params: {
        judParams:'stateCode_stateName'
    }
})
}
export function getStateValueAll() {
    return fetch({
        url: '/dcloud-base/device/stateValue/parsData',
        method: 'get',
        params: {
            pars:'id,valueName,valueCode'
        }
    })
}

export function getStateValue(id) {
    return fetch({
        url: '/dcloud-base/device/stateIndexValue/parsData',
        method: 'get',
        params: {
            pars:'stateValueId',
            stateIndexId:id
        }
    })
}

export function putSet(obj) {
    return fetch({
        url: '/dcloud-base/device/stateIndexValue/setStateIndexValue',
        method: 'post',
        data:obj
    })
}