import fetch from '@/api/common/fetch';

export function page(query) {
    return fetch({
        url: '/dcloud-base/factor/pageCriteria',
        method: 'get',
        params: query
    });
}

export function parsData(query) {
    return fetch({
        url: '/dcloud-base/unit/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData2(query) {
    return fetch({
        url: '/dcloud-base/couUnit/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}


export function parsData3(query) {
    return fetch({
        url: '/dcloud-base/rate/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}


export function addObj(obj) {
    return fetch({
        url: '/dcloud-base/factor/add',
        method: 'post',
        data: obj,
        params:{
            judParams:'factorCode_factorType_polluteType'
        }
    });
}

export function getObj(id) {
    return fetch({
        url: '/dcloud-base/factor/get/' + id,
        method: 'get'
    })
}

export function delObj(id) {
    return fetch({
        url: '/dcloud-base/factor/remove/' + id,
        method: 'post'
    })
}

export function putObj(id, obj) {
    return fetch({
        url: '/dcloud-base/factor/update/' + id,
        method: 'post',
        data: obj,
        params:{
            judParams:'factorCode_factorType_polluteType'
        }
    })
}
