import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/datasvrData/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/datasvrData/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/datasvrData/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/datasvrData/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/datasvrData/update/' + id,
method: 'post',
data: obj
})
}
