import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/userLog/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/userLog/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/userLog/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/userLog/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/userLog/update/' + id,
method: 'post',
data: obj
})
}

//'/dcloud-base/control/parsData?pars=id,conName'

export function getUserName() {
    return fetch({
        url: '/dcloud-base/user/parsData?pars=id,userName,loginName',
        method: 'get'
    })
}