import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/station/pageMul',
method: 'get',
params: query
});
}

//仪器仪表
export function parsData(query) {
    return fetch({
        url: '/dcloud-base/device/instrument/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

//排污企业
export function parsData2(query) {
    return fetch({
        url: '/dcloud-base/enterprise/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function getAreaList() {
    return fetch({
        url: '/dcloud-base/enterprise/queryAreaList',
        method: 'get'
    })
}

export function queryYWUserList() {
    return fetch({
        url: '/dcloud-base/user/queryYWUserList',
        method: 'get'
    })
}

export function queryGLYUserList() {
    return fetch({
        url: '/dcloud-base/user/queryGLYUserList',
        method: 'get'
    })
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/station/add',
method: 'post',
data: obj,
    params:{
        judParams:'mcusn'
    }
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/station/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/station/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/station/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'mcusn'
    }
})
}
//获取运维类型
export function getOperType(type) {
    return fetch({
        url: '/dcloud-base/operType/queryOperType?type='+type,
        method: 'get'
    })
}

//获取排放类型
export function getPolluteDetailType(type) {
    return fetch({
        url: '/dcloud-base/emissionType/parsData?pars=id,name&type='+type,
        method: 'get'
    })
}