import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
    url: '/dcloud-base/station/pageMul',
    method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/uploadFactor/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/uploadFactor/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/uploadFactor/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/uploadFactor/update/' + id,
method: 'post',
data: obj
})
}
//根据stationID查询因子
export function facotry(stationId) {
    return fetch({
        url: '/dcloud-base/uploadFactor/selectByStationId?stationId='+stationId,
        method: 'get'
    });
}
//因子排序
export function putFactorOrder(ids) {
    return fetch({
        url: '/dcloud-base/uploadFactor/factorOrder' ,
        method: 'post',
        data: ids
    })
}
