import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/roleType/page',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/roleType/addType',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/roleType/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/roleType/remove/' + id,
method: 'post'
})
}

export function putObj(code, obj) {
return fetch({
url: '/dcloud-base/roleType/updateType',
method: 'post',
data: obj
})
}
