// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App.vue'
import router from './router'

import 'babel-polyfill'
import promise from 'es6-promise'
promise.polyfill(); //解决axios兼容ie
Vue.config.productionTip = false;

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI);
/* eslint-disable no-new */
new Vue({
  el: '#pubapp',
  router,
  components: { App },
  template: '<App/>'
});
export default App