import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/area/areaPage',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/area/addArea',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/area/get/' + id,
method: 'get'
})
}

export function delObj(code) {
return fetch({
url: '/dcloud-base/area/delArea/' + code,
method: 'get'
})
}

export function putObj(obj) {
return fetch({
url: '/dcloud-base/area/updateArea',
method: 'post',
data: obj
})
}
export function getArea() {
return fetch({
url: '/dcloud-base/area/parsData?pars=code,areaName',
method: 'get'
})
}
export function getAreaByCode(code) {
return fetch({
url: '/dcloud-base/area/getAreaByCode/'+code,
method: 'get'
})
}

