import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/couUnit/pages',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/couUnit/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/couUnit/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/couUnit/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/couUnit/update/' + id,
method: 'post',
data: obj
})
}
export function getNames(obj) {
return fetch({
url: '/dcloud-base/couUnit/getNames?name=' + obj,
method: 'get'
})
}
