import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/deviceType/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/deviceType/addDeviceType',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/deviceType/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/deviceType/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {

return fetch({
url: '/dcloud-base/device/deviceType/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'typeModel'
    }
})
}
