import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/stateValue/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/stateValue/addStateValue',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/stateValue/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/stateValue/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/device/stateValue/update/' + id,
method: 'post',
data: obj,
    params:{
        judParams:'valueCode_valueName'
    }
})
}
