import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/enterprise/pageCriteria',
method: 'get',
params: query
});
}


//查询排口表中parent_id是否存在
export function queryParentId(obj) {
    return fetch({
        url: '/dcloud-base/station/parsData',
        method: 'get',
        params: {
            pars:'parentId'
        }
    });
}



export function parsData(query) {
    return fetch({
        url: '/dcloud-base/industry/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData2(query) {
    return fetch({
        url: '/dcloud-base/control/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData3(query) {
    return fetch({
        url: '/dcloud-base/enterType/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData4(query) {
    return fetch({
        url: '/dcloud-base/enter/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData5(query) {
    return fetch({
        url: '/dcloud-base/testingCompany/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData6(query) {
    return fetch({
        url: '/dcloud-base/emissionType/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}
export function getSystemParam(obj) {
    return fetch({
        url: '/dcloud-base/systemParam/querySystemParamByTypeList?type='+obj,
        method: 'get',
    });
}
export function queryGKFactors(enterpriseId,facterType) {
    return fetch({
        url: '/dcloud-base/enterprise/queryGKFactorsByEnterId?enterpriseId='+enterpriseId+"&facterType="+facterType+"&collectionType=2",
        method: 'get',
    });
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/enterprise/insertEnterprise',
method: 'post',
data: obj
});
}
export function addEnterDetailObj(obj) {
    return fetch({
        url: '/dcloud-base/enterpriseDetails/insertEnterpriseDetails',
        method: 'post',
        data: obj
    });
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/enterprise/get/' + id,
method: 'get'
})
}

export function getAreaList() {
    return fetch({
        url: '/dcloud-base/enterprise/queryAreaList',
        method: 'get'
    })
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/enterprise/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/enterprise/update/' + id,
method: 'post',
data: obj
})
}
export function updateGKConfig(obj) {
    return fetch({
        url: '/dcloud-base/enterprise/updateGKConfig',
        method: 'post',
        data: obj
    })
}
