import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/uploadInstParam/pageMul',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/uploadInstParam/add',
method: 'post',
data: obj
});
}
//仪器仪表
export function parsData(obj) {
    return fetch({
        url: '/dcloud-base/device/instrument/stationInst',
        method: 'get'
    });
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/uploadInstParam/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/uploadInstParam/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/uploadInstParam/update/' + id,
method: 'post',
data: obj
})
}
