import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/uploadCol/pageMul',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/uploadCol/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/uploadCol/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/uploadCol/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/uploadCol/update/' + id,
method: 'post',
data: obj
})
}

export function getConfig() {
    return fetch({
        url: '/dcloud-base/station/getConfig',
        method: 'get'
    });
}
//批量修改因子是否展示
export function putFactorShowObj(obj) {
    return fetch({
        url: '/dcloud-base/uploadCol/updateFacorShow',
        method: 'post',
        data: obj
    })
}
