import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/uploadFactor/pageMul',
method: 'get',
params: query
});
}

//仪器仪表
export function queryStationInst(stationId) {
    return fetch({
        url: '/dcloud-base/portInst/queryPortInst?stationId='+stationId,
        method: 'get',
        // params: query
    });
}

export function parsData(query) {
    return fetch({
        url: '/dcloud-base/unit/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}

export function parsData2(query) {
    return fetch({
        url: '/dcloud-base/couUnit/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}
export function parsData3(query) {
    return fetch({
        url: '/dcloud-base/rate/parsData?pars='+query,
        method: 'get',
        // params: query
    });
}


export function addObj(obj) {
return fetch({
url: '/dcloud-base/uploadFactor/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/uploadFactor/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/uploadFactor/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/uploadFactor/update/' + id,
method: 'post',
data: obj
})
}

